For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sends Draft via WhatsApp

Taslak belgeyi whatsapp üzerinden gönderir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Body
UUIDstring · uuidOptional
Phonestring · nullableOptional
Responses
200

Taslak belgeyi whatsapp üzerinden gönderir.

application/json
CanReadbooleanRead-onlyOptional
CanWritebooleanRead-onlyOptional
CanSeekbooleanRead-onlyOptional
CanTimeoutbooleanRead-onlyOptional
Lengthinteger · int64Read-onlyOptional
Positioninteger · int64Optional
ReadTimeoutinteger · int32Optional
WriteTimeoutinteger · int32Optional
get/Draft/Whatsapp/Send
GET /ebill/Draft/Whatsapp/Send HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 62

{
  "UUID": "123e4567-e89b-12d3-a456-426614174000",
  "Phone": "text"
}
{
  "CanRead": true,
  "CanWrite": true,
  "CanSeek": true,
  "CanTimeout": true,
  "Length": 1,
  "Position": 1,
  "ReadTimeout": 1,
  "WriteTimeout": 1
}
var options = new RestClientOptions("//ebill/Draft/Whatsapp/Send")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
var body = @"{" + "\n" +
@"  ""UUID"": ""<uuid>""," + "\n" +
@"  ""Phone"": ""<string>""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//ebill/Draft/Whatsapp/Send',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_POSTFIELDS =>'{
  "UUID": "<uuid>",
  "Phone": "<string>"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated